clear 
% Uses data in compassGait_chaos_2
d2r = pi/180; r2d = pi/180;
slope = 5.2*d2r; 	% slope = 5.2 deg; Chaotic gait
a = 0.5;
b = 0.5;
l = a + b;
load compassGait_chaos_2.txt;
phase_matrix = compassGait_chaos_2;
th_ns = phase_matrix(:,1);
th_s = phase_matrix(:,2);
thd_ns = phase_matrix(:,3);
thd_s = phase_matrix(:,4);

%clear phase_matrix

hip_position = l*[-sin(th_s) cos(th_s)];
sup_m_pos = (a/l)*hip_position;
swng_ft_position = l*[-sin(th_s)+sin(th_ns) cos(th_s)-cos(th_ns)];
nsup_m_pos = hip_position + (b/l)*swng_ft_position;
output_matrix = [sup_m_pos hip_position nsup_m_pos swng_ft_position];
output_matrix2 = [sup_m_pos(1:100,:) hip_position(1:100,:) nsup_m_pos(1:100,:) 
swng_ft_position(1:100,:)];

save 'out_mat' output_matrix -ascii
save 'out_mat2' output_matrix2 -ascii
