function [] = pp(z, xtipt, ytipt)
// computes the three relevant points (hip and two feet) for the
// compass gait model and draws lines between them to represent the 
// two legs

	// Code By: Ambarish Goswami
	// INRIA Rhone-Alpes, Grenoble, France
	// Copyright: 1994, 1995, 1996

	d = size(z);
   	th_n = z(1,:);
	th_s = z(2,:);
   	lsn = l*sin(th_n);
	lss = l*sin(th_s);
	lcn = l*cos(th_n);
	lcs = l*cos(th_s);
   	lsns = lsn - lss;
	lcns = -lcn + lcs;
	rect = [-2, -2.5, 10, 1.1]; // for slope walking
	plot2d([-.6*cos(phi) 10*cos(phi)]',[.6*sin(phi) -10*sin(phi)]',...
	[1],"011",' '); // for slope walking
   	for k = 1 : 5 :  d(2);
  		plot2d([xtipt xtipt-lss(k) xtipt+lsns(k)]',[ytipt ytipt+lcs(k) ytipt+lcns(k)]',...
		[1],"011",' ',rect);
  	end
