function [diff] = dist(t,z)

// We have tried several ways to calculate the stopping time
// criteria, nothing works universally well. We're keeping here
// several of the (ad-hoc) algorithms that have worked.
// The robot needs to be stopped on the first return of its swing
// foot from above the ground -- this doesn't work at times.
// Need more sophisticated approach for an exhaustive answer.

	// Code By: Ambarish Goswami
	// INRIA Rhone-Alpes, Grenoble, France
	// Copyright: 1994, 1995, 1996

	x_tip = l*(sin(z(1)) - sin(z(2)));
	y_tip = l*(-cos(z(1)) + cos(z(2)));
	x_hip = -l*sin(z(2));
	xhip_normal = l*sin(phi);
	difff =  y_tip + sign(x_tip)* x_tip*tan(phi);

// Works for the known cyclic cases
	if abs(x_tip) < 0.2 | t < 0.5 then
		diff = 1;
	else
		diff = difff;		
	end	
//	if (x_tip < 0.001) | (x_hip - xhip_normal) < 0.001 then
//		diff = 1
//	else
//		diff = diff;
//
//	end

//	if (((x_tip > 0.1) | (x_tip - x_hip) > 0.1) | (x_hip - xhip_normal) > 0.001) then
//		diff = diff;
//	else
//		diff = 1;
//	end
